- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::BadOption Class Reference

Exception thrown when you pass an unrecognized option to Connection::set_option(). More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadOption:

[legend]
Collaboration diagram for mysqlpp::BadOption:

[legend]
List of all members.

## Public Member Functions
| BadOption (const char *w, const std::type_info &ti)
| Create exception object, taking C string.
| BadOption (const std::string &w, const std::type_info &ti)
| Create exception object, taking C++ string.
const std::type_info & | what_option () const
| Return type information about the option that failed.

## Detailed Description

Exception thrown when you pass an unrecognized option to Connection::set_option().

## Member Function Documentation

const std::type_info& mysqlpp::BadOption::what_option | ( |  | ) | const`[inline]`

Return type information about the option that failed.

Because each option has its own C++ type, this lets you distinguish among BadOption exceptions programmatically.

The documentation for this class was generated from the following file:

- exceptions.h